Update product review
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{product_id}/reviews/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
"<string>"
],
"is_featured": true,
"review_reply": "<string>",
"images": [
"<string>"
],
"videos": [
"<string>"
]
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{product_id}/reviews/{id}"
payload = {
"tags": ["<string>"],
"is_featured": True,
"review_reply": "<string>",
"images": ["<string>"],
"videos": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: ['<string>'],
is_featured: true,
review_reply: '<string>',
images: ['<string>'],
videos: ['<string>']
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/marketplace/products/{product_id}/reviews/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"review": {
"product_id": "<string>",
"rating": 123,
"review_text": "<string>",
"name": "<string>",
"email": "<string>",
"status": "pending",
"is_featured": true,
"review_date": "2023-11-07T05:31:56Z",
"id": "<string>",
"tags": [
"<string>"
],
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"videos": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"video_preview_url": "<string>",
"video_stream_hls_url": "<string>",
"video_stream_dash_url": "<string>",
"image_thumbnail_url": "<string>",
"video_duration": 123,
"file_id": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"review_reply": "<string>"
}
}
}Marketplace Catalog
Update product review
Update product review
PUT
/
catalog
/
marketplace
/
products
/
{product_id}
/
reviews
/
{id}
Update product review
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I